Subject: bug#45965: closed (Re: bug#45965: [PATCH 0/2] Update fzf, include binaries and install completions)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 19 Mar 2021 21:17:02 +0000

Your bug report

#45965: [PATCH 0/2] Update fzf, include binaries and install completions

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45965: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45965
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45965: [PATCH 0/2] Update fzf, include binaries and install completions
From: Ludovic Courtès <[email-masked]>
To: EuAndreh <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 19 Mar 2021 22:15:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

EuAndreh <[email-masked]> skribis:

> * gnu/packages/terminals.scm (fzf): New variable, which inherits
>   from the existing go-github-com-junegunn-fzf package, but also
>   install other binary, and completion for direct usage.

I think it had fallen through the cracks; applied!

> +    (arguments
> +     `(,@(ensure-keyword-arguments
        ^^^
I simplified this to:

  (arguments (ensure-keyword-arguments …))

Thanks,
Ludo’.

Subject: [PATCH 0/2] Update fzf, include binaries and install completions
From: EuAndreh <[email-masked]>
To: [email-masked]
Cc: EuAndreh <[email-masked]>
Date: Mon, 18 Jan 2021 15:59:25 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I've tested both the package update and the extra phases added.
The Bash completions are being installed properly, but I haven't tested
the zsh ones.

I remember seeing somewhere a discussion on aliasing this type of package,
so that the "go-github-com-junegunn-fzf" is the default imported Go module,
to be used as input for other packages, and adding a top-level "fzf" package,
which does the ad-hoc packaging code I've added, so that a user can install
the "fzf" package with Bash integration and similar features.

I couldn't find anything on the manual also, I welcome comments on this :)

EuAndreh (2):
  gnu: go-github-com-junegunn-fzf: Copy binaries and install shell
    completions.
  gnu: go-github-com-junegunn-fzf: Update to 0.25.0.

 gnu/packages/terminals.scm | 35 +++++++++++++++++++++++++++++++----
 1 file changed, 31 insertions(+), 4 deletions(-)

-- 
2.30.0